@import url(https://fonts.googleapis.com/css2?family=Encode+Sans+SC&family=Encode+Sans+Semi+Expanded&display=swap);

:root {
  --bodyBG: #1d1d1d;
  --redBG: #70061b;
  --appRed: #670404;
  --headerBG: #013220;
  --headerFG: #ffff96;
  --accentBG: #f92b2b;
  --accentFG: #f92b2b;
  --contentBG: #111111;
  --contentDarkShadow: rgb(8, 8, 8);
  --contentFG: #ffffff;
  --white: #ffffff;
  --black: #000000;
  --orange: #f96a2b;
  --green: #07be16;
  --red: #f92b2b;
  --linkFG: #c4c4c4;
  --linkAccent: var(--orange);

  --headingFG: #ffff96;

  --qrBG: #edd671;
  --qrFG: #85071f;
}

body {
  margin: 0;
  padding: 0;
  background-color: var(--contentBG);
}

.index-link {
  margin: 20px;
  width: 200px;
}

.index-link a {
  display: flex;
  width: 100%;
  text-align: center;
  text-decoration: none;
  padding: 10px;
  margin-top: 4px;
  margin-right: 8px;
  border-radius: 5px;
  font-family: 'Encode Sans SC', sans-serif;
  font-weight: 600;
  font-size: 12pt;
  color: var(--black);
  background-color: var(--headerFG);
}

.index-logo {
  margin: 20px;
  width: 200px;
}


.index-logo img {
  width: 100%;
  height: auto;
}

/********************************************************************************************************************/
/* HEADER ***********************************************************************************************************/

.header {
  position: absolute;
  top: 0;
  left: 0;
  height: 70px;
  width: 100%;
  background-color: var(--redBG);
}

.header-logo {
  float: left;
  width: 200px;
}

.header-logo img {
  width: 200px;
  height: auto;
  margin: 10 calc(50% - 100px);
}

.header-big {
  position: absolute;
  top: 0;
  left: 0;
  height: 180px;
  width: 100%;
  background-color: var(--redBG);
}

.header-big-logo {
  margin: -10 auto 0 auto;
  width: 200px;
}

.header-big-logo img {
  width: 100%;
  height: auto;
}

.subheader {
  position: absolute;
  top: 70;
  left: 0;
  height: 40px;
  width: 100%;
  background-color: var(--headerFG);
}

.subheader img {
  width: 200px;
  height: 40px;
  margin: 0 calc(50% - 100px);
}

.subheader-title {
  font-family: 'Encode Sans Semi Expanded', sans-serif;
  font-weight: 900;
  font-size: 16pt;
  color: var(--redBG);
  text-align: center;
  margin: 5px;
  text-transform: uppercase;
}

.title-head-bar {
  padding-left: 4px;
  padding-right: 10px;
  padding-top: 10px;
  padding-bottom: 10px;  
  color: var(--headingFG);
  text-transform: capitalize;
  transition: all 300ms ease;
  background-color: var(--redBG);
  border-radius: 10px;
  margin: 8px;
}

.title-heading {
  display: inline;
  font-family: 'Encode Sans SC', sans-serif;
  font-weight: 900;
  font-size: 14pt;
  color: var(--headingFG);
  text-transform: capitalize;
  transition: all 300ms ease;
  margin-left: 10px;
}

.title-heading-link {
  display: inline;
  float: right;
  margin-right: 10px;
  margin-top: 6px;
}

.title-heading-link a {
  font-family: 'Encode Sans Semi Expanded', sans-serif;
  font-weight: 400;
  font-size: 10pt;
  color: var(--headingFG);
  text-transform: capitalize;
  transition: all 300ms ease;
  text-decoration: none;
}

.title-heading-link a:hover {
  font-family: 'Encode Sans Semi Expanded', sans-serif;
  font-weight: 400;
  color: var(--accentFG);
  text-transform: capitalize;
  transition: all 300ms ease;
  text-decoration: underline;
}

/********************************************************************************************************************/
/* SLIDER ***********************************************************************************************************/

.single-gallery {
  z-index: 1;
  position: absolute;
  top: 70px;
  margin: 10px;
  width: calc(100% - 20px);
  height: calc(100% - 140px);
  overflow: auto;
}

.single-slide-responsive {
  padding: 0 8px;
  float: left;
  width: 33.33%;
}

.slide-img {
  width: 100%;
  height: auto;
}

.slide-img img {
  border-radius: 50px;
  width: 100%;
  height: auto;
}

.slide-name {
  width: 100%;
  height: 62px;
  text-align: center;
  color: var(--headerFG);
  font-family: 'Encode Sans Semi Expanded', sans-serif;
  font-weight: 400;
  font-size: 16pt;
  padding-bottom: 10px;
}

.slide-price {
  width: 100%;
  padding-top: 4px;
  text-align: center;
  color: var(--headerFG);
  font-family: 'Encode Sans Semi Expanded', sans-serif;
  font-weight: 100;
  font-size: 16pt;
}

/********************************************************************************************************************/
/* AUTO LOAD GALLERY ************************************************************************************************/

.auto-gallery-container {
  z-index: 1;
  position: absolute;
  top: 110px;
  padding: 8px;
  width: 100%;
  height: calc(100% - 110px);
  overflow: auto;
}

.auto-gallery {
  width: 100%;
  overflow: auto;
  border-bottom: 2px solid var(--redBG);
  padding-bottom: 10px;
  margin-bottom: 10px;
}

.auto-slide {
  padding: 8px;
  float: left;
  width: 24.99999%;
}

@media only screen and (max-width: 1200px) {
  .auto-slide {
    width: 33.33%;
    margin: 6px 0;
  }
}

@media only screen and (max-width: 700px) {
  .auto-slide {
    width: 49.99999%;
    margin: 6px 0;
  }
}

@media only screen and (max-width: 500px) {
  .auto-slide {
    width: 100%;
  }
}

.auto-slide-container {
  width: 100%;
  border-radius: 10px;
  overflow: hidden;
  background-color: var(--redBG);
  padding: 8px;
}

.auto-slide-img {
  position: relative;
  width: 100%;
  height: auto;
  border-radius: 10px;
}

.auto-slide-img img {
  background-color: var(--bodyBG);
  width: 100%;
  height: auto;
  border-radius: 10px;
}

.auto-slide-exclusive {
  z-index: 2;
  position: absolute;
  width: 30%;
  height: 30%;
  right: 0;
  bottom: 0;
}

.auto-slide-exclusive img {
  background-color: transparent;
  width: 100%;
  border-radius: 0px;
}

.auto-slide-soldoutBG {
  background-color: var(--bodyBG);
  opacity: 0.7;
  z-index: 2;
  position: absolute;
  width: 100%;
  height: 100%;
  right: 0;
  top: 0;
}

.auto-slide-soldout {
  z-index: 2;
  position: absolute;
  width: 100%;
  height: 100%;
  right: 0;
  bottom: 0;
}

.auto-slide-soldout img {
  background-color: transparent;
  width: 70%;
  margin: 0 calc(50% - 35%);
  position: absolute;
  bottom: 15%;
}

.auto-slide-ex {
  background-color: transparent;
  z-index: 1;
  position: absolute;
  right: -10px;
  bottom: -10px;
}

.auto-slide-ex img {
  background-color: transparent;
  width: 150px;
}

.auto-slide-name {
  width: 100%;
  height: 56px;
  text-align: center;
  color: var(--headingFG);
  font-family: 'Encode Sans Semi Expanded', sans-serif;
  font-weight: 400;
  font-size: 12pt;
  padding-top: 8px;
  padding-bottom: 8px;
  padding-left: 4px;
  padding-right: 4px;
}

.auto-slide-price {
  width: 100%;
  padding-top: 4px;
  text-align: center;
  color: var(--headerFG);
  font-family: 'Encode Sans Semi Expanded', sans-serif;
  font-weight: 100;
  font-size: 16pt;
}

.auto-gallery-footer {
  margin-top: 8px;
  float: left;
  width: 100%;
}

.auto-gallery-footer-menu {
  text-align: center;
  cursor: pointer;
}

.auto-gallery-footer-menu a {
  text-align: center;
  text-decoration: none;
  display: inline-block;
  border-radius: 5px;
  font-family: 'Encode Sans Semi Expanded', sans-serif;
  font-weight: 600;
  font-size: 12pt;
  padding-left: 12px;
  padding-right: 12px;
  padding-top: 8px;
  padding-bottom: 8px;
  color: var(--black);
  background-color: var(--headerFG);
  cursor: pointer;

  &:hover {
    color: var(--headingFG);
    background-color: var(--redBG);
  }

}

/********************************************************************************************************************/
/* FOOTER ***********************************************************************************************************/

.footer {
  position: absolute;
  bottom: 0;
  left: 0;
  height: 50px;
  width: 100%;
}

.footer-menu {
  margin-top: 5px;
  text-align: center;
  white-space: nowrap;
  overflow-x: auto;
  overflow-y: hidden;
}

.footer-menu a {
  text-align: center;
  text-decoration: none;
  width: 40px;
  height: 40px;
  display: inline-block;
  padding-top: 8px;
  padding-bottom: 8px;
  padding-bottom: 2px;
  margin-right: 8px;
  border-radius: 5px;
  font-family: 'Encode Sans Semi Expanded', sans-serif;
  font-weight: 600;
  font-size: 12pt;
  color: var(--headerFG);
}

.footer-menu-active-link {
  background-color: var(--headerFG);
  text-align: center;
  text-decoration: none;
  width: 40px;
  display: inline-block;
  padding-top: 8px;
  padding-bottom: 8px;
  margin-right: 8px;
  border-radius: 5px;
  font-family: 'Encode Sans Semi Expanded', sans-serif;
  font-weight: 600;
  font-size: 12pt;
  color: var(--black);
}

.spacer {
  width: 100%;
  height: 30px;
}

/********************************************************************************************************************/
/* PRODUCT **********************************************************************************************************/

.header-product-info {
  position: absolute;
  top: 70;
  left: 0;
  height: 60px;
  width: 100%;
  background-color: var(--qrBG);
}

.header-product-id {
  padding-left: 20px;
  color: var(--qrFG);
  font-family: 'Encode Sans Semi Expanded', sans-serif;
  font-weight: 800;
  font-size: 13pt;
  line-height: 60px;
}


.product {
  z-index: 1;
  top: 130px;
  position: absolute;
  padding: 10px;
  width: calc(100%);
  height: calc(100% - 130px);
  overflow: auto;
  justify-content: center;
}

.product-info-box {
  position: absolute;
  top: 70;
  left: 0;
  height: 50px;
  width: 100%;
  background-color: var(--contentBG);
}

.product-info {
  margin: 5px;
  width: calc(100% - 10px);
  height: calc(100% - 10px);
  background-color: var(--contentDarkShadow);
  border-radius: 5px;
}

.product-cat {
  padding-top: 2px;
  padding-left: 10px;
  color: var(--headerFG);
  font-family: 'Encode Sans Semi Expanded', sans-serif;
  font-weight: 100;
  font-size: 10pt;
}

.product-id {
  padding-top: 2px;
  padding-left: 10px;
  color: var(--accentFG);
  font-family: 'Encode Sans Semi Expanded', sans-serif;
  font-weight: 100;
  font-size: 10pt;
  line-height: 38px;
}

.product-name {
  display: flex;
  padding-top: 10px;
  padding-left: 10px;
  color: var(--headerFG);
  font-family: 'Encode Sans SC', sans-serif;
  font-weight: 400;
  font-size: 16pt;
}

.product-price {
  display: flex;
  float: inline-end;
  padding-top: 10px;
  padding-right: 15px;
  color: var(--headerFG);
  font-family: 'Encode Sans SC', sans-serif;
  font-size: 16pt;
}

/************************************************/
/** Product Image *******************************/

div.gallery {
  border: 5px solid var(--appRed);
  border-radius: 10px;
}

div.gallery:hover {
  border: 5px solid var(--accentBG);
  border-radius: 10px;
}

div.gallery img {
  width: 100%;
  height: auto;
  border-radius: 10px;
}


div.desc {
  padding: 15px;
  text-align: center;
}

* {
  box-sizing: border-box;
}

.responsive {
  padding: 0 6px;
  float: left;
  width: 49.99999%;
  margin-bottom: 12px;
}

.contacts {
  z-index: 1;
  top: 280px;
  position: absolute;
  padding: 20px;
  width: calc(100% - 0px);
  height: calc(100% - 340px);
  overflow: auto;
  background-color: var(--contentBG);
}

.contactLink {
  margin: 5% 5%;
  padding: 0 6px;
  float: left;
  width: 14.99999%;
}

div.contactLink img {
  width: 100%;
  height: auto;
}

.contact-caption {
  width: 100%;
  color: var(--headerFG);
  text-align: center;
  font-family: 'Encode Sans SC', sans-serif;
  font-weight: 400;
  font-size: 12pt;
  margin-top: -10px;
}

@media only screen and (min-width: 700px) {
  .back-button {
    display: block;
  }

  .header-logo {
    width: calc(100% - 140px);
  }
}

@media only screen and (max-width: 700px) {
  .back-button {
    display: none;
  }

  .header-logo {
    width: 200px;
  }
}

@media only screen and (max-width: 900px) {
  .responsive {
    width: 100%;
  }

  .contactLink {
    width: 49.99999%;
    margin: 6px 0;
  }

  .contact-caption {
    margin-top: -20px;
  }
}

@media only screen and (max-width: 500px) {

  .contactLink {
    width: 49.99999%;
    margin: 6px 0;
  }

  .contact-caption {
    margin-top: -15px;
  }
}

.clearfix:after {
  content: "";
  display: table;
  clear: both;
}

/************************************************/
/** QR CONTAINER ********************************/

.back-button {
  float: left;
  font-size: 18px;
  border: none;
  outline: none;
  color: white;
  cursor: pointer;
  width: 70px;
  height: 70px;
  background-color: var(--redBG);
}

.back-button:hover {
  background-color: var(--appRed);
}

.back-button img {
  padding: 20px;
  width: 70px;
  height: 70px;
}

.qr-container {
  position: absolute;
  top: 5;
  right: 5;
  z-index: 99;
}

.qr-img {
  margin: 0 auto;
  width: 120px;
  height: 120px;
}

.qr-img img {
  width: 100%;
  height: auto;
  border: 4px solid var(--redBG);
  border-radius: 10px;
}

/* SCROLL BAR ******************************************************************************************************************/

/* width */
::-webkit-scrollbar {
  width: 5px;
}

/* Track */
::-webkit-scrollbar-track {
  background: rgb(17, 17, 17);
}

/* Handle */
::-webkit-scrollbar-thumb {
  background: var(--redBG);
  border-radius: 10px;
}

/* Handle on hover */
::-webkit-scrollbar-thumb:hover {
  background: green;
}

/********************************************************************************************************************/

.landing-body {
  margin: 0;
  padding: 0;
  background-color: var(--redBG);
  align-content: middle;
}

.landing-container {
  width: 300px;
  margin: 0 auto 0 auto;
}

.landing-logo {
  width: 100%;
  height: auto;
}

.landing-logo a img {
  width: 100%;
  height: auto;
}

.landing-footer {
  position: absolute;
  padding-top: 15px;
  bottom: 0;
  left: 0;
  height: 60px;
  width: 100%;
  background-color: var(--redBG);
  color: var(--headerFG);
  text-align: center;
  font-family: 'Encode Sans SC', sans-serif;
  font-weight: 400;
  font-size: 12pt;
}

.Circle-Button {
  font-size: 18px;
  border: none;
  outline: none;
  color: white;
  cursor: pointer;
  width: 70px;
  height: 70px;
  background-color: var(--redBG);
}

.float-left {
  float: left;
}

.float-right {
  float: right;
}

.Circle-Button:hover {
  background-color: var(--appRed);
}

.Circle-Button img {
  padding: 20px;
  width: 70px;
  height: 70px;
}

.hide {
  opacity: 0;
  transition: visibility 0s linear 300ms, opacity 300ms;
}

.show {
  opacity: 1;
  transition: visibility 0s linear 0s, opacity 300ms;
}